StoreEver Tape Storage
cancel
Showing results for 
Search instead for 
Did you mean: 

LTT not updating drive firmware.

SOLVED
Go to solution
Jeff Cleverley
Occasional Advisor

LTT not updating drive firmware.

Greetings,

I've been getting picker errors on a MSL6060 library with Gen 3 Ultrium drives ever since I connected it to a Redhat server via Qlogic 2462. It was previously hooked to a J6000 and seemed to be fine.

I decided to try and make sure all the firmware was up to date. I downloaded LTT version 4.8 and the ltt_msl_oct09.tar file. I installed the ltt first and then unpacked the firmware tar file. I have verified that they unpacked into /opt/ltt/firmware.

The current drive firmware is G25W. The firmware directory has a LTT_Ultrium_3-SCSI_G65W_MSL.frm file. My assumption is that the G65W would be newer than the G25W. LTT sees the library, the drives, and the e1200-320 router. It will update the library and the router firmware but says there are no matching files for the tape drives.

I've downloaded the NextGen_520.bin file which seems old, but I can't get the ftp connection to the library to work. I've turned on all access that I can see, but pointing a web browser to ftp:// or with a /upload after it just hangs.

Assuming the G65W firmware is newer, how do I get it to upload?

Thanks,

Jeff
2 REPLIES
Marino Meloni_1
Honored Contributor
Solution

Re: LTT not updating drive firmware.

I would suggest to run LTT and use the funtion "get files from web", the tools will identify the exact fw for your configuration.
Related to the .bin file this is only for the library itself and not for the nsr or drives.
Jeff Cleverley
Occasional Advisor

Re: LTT not updating drive firmware.

After setting the proxy information it seems to have worked. The odd thing is what seems to have worked is that it downloaded the ESL firmware instead of the MSL firmware. If its happy with the drive firmware, so am I :-)

Thanks,

Jeff